curl --request GET \
--url https://api.lettermint.co/v1/webhooks/{webhookId}/deliveries \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"webhook_id": "<string>",
"event_type": "message.created",
"status": "pending",
"attempt_number": 123,
"http_status_code": 123,
"duration_ms": 123,
"delivered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"path": "<string>",
"per_page": 1,
"next_cursor": "<string>",
"next_page_url": "<string>",
"prev_cursor": "<string>",
"prev_page_url": "<string>"
}Returns a paginated list of delivery attempts for a specific webhook.
curl --request GET \
--url https://api.lettermint.co/v1/webhooks/{webhookId}/deliveries \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"webhook_id": "<string>",
"event_type": "message.created",
"status": "pending",
"attempt_number": 123,
"http_status_code": 123,
"duration_ms": 123,
"delivered_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
}
],
"path": "<string>",
"per_page": 1,
"next_cursor": "<string>",
"next_page_url": "<string>",
"prev_cursor": "<string>",
"prev_page_url": "<string>"
}Team API token. Find this in your team settings.
Available sorts are created_at, attempt_number. You can sort by multiple options by separating them with a comma. To sort in descending order, use - sign in front of the sort, for example: -created_at.
Filter by delivery status
pending, success, failed, client_error, server_error, timeout Filter by event type
Filter deliveries from this date (Y-m-d format)
Filter deliveries to this date (Y-m-d format)
Paginated set of WebhookDeliveryListData
Show child attributes
Base path for paginator generated URLs.
Number of items shown per page.
x >= 0The "cursor" that points to the next set of items.
The "cursor" that points to the previous set of items.